SapccApiGetUserBranchOrderHistoryRequest
Request parameters for getUserBranchOrderHistory operation in SapccApi. SapccApiGetUserBranchOrderHistoryRequest
interface SapccApiGetUserBranchOrderHistoryRequest {
readonly baseSiteId: string;
readonly currentPage?: number;
readonly fields?: string;
readonly filters?: string;
readonly pageSize?: number;
readonly sort?: string;
readonly statuses?: string;
readonly userId: string;
}Properties
| Name | Required | Type | Description |
|---|---|---|---|
baseSiteId | Required | string | Base site identifier {string} SapccApiGetUserBranchOrderHistory |
currentPage | Optional | number | Current result page. Default value is 0. {number} SapccApiGetUserBranchOrderHistory |
fields | Optional | string | Response configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetUserBranchOrderHistory |
filters | Optional | string | Serialized filters applied to the query in the following format: ::facetKey1:facetValue1:facetKey2:facetValue2. Correct values for facetKey are 'user' and 'unit'. {string} SapccApiGetUserBranchOrderHistory |
pageSize | Optional | number | The number of results returned per page. {number} SapccApiGetUserBranchOrderHistory |
sort | Optional | string | Sorting method applied to the return results. {string} SapccApiGetUserBranchOrderHistory |
statuses | Optional | string | Filters only certain order statuses. For example, statuses=CANCELLED,CHECKED_VALID would only return orders with status CANCELLED or CHECKED_VALID. {string} SapccApiGetUserBranchOrderHistory |
userId | Required | string | User identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetUserBranchOrderHistory |